Bug 1298619 - SELinux is barely mentioned in relation to the installer
SELinux is barely mentioned in relation to the installer
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ashley Hardin
Ma xiaoqiang
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 10:05 EST by Eric Jones
Modified: 2016-07-03 20:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 10:16:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-14 10:05:39 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#prerequisites-1

Section Number and Name: 
2.2 Prerequisites

Describe the issue: 
There is no mention of SELinux Types or status for SELinux, outside of a brief article about docker and SELinux for storage. 

Suggestions for improvement: 
Make it clear that SELinux must be enabled on all of the servers as well as indicating that it should be set to targeted in /etc/selinux/config 

Additional information:
This [0] references the fact that SELinux must be enabled otherwise the installer will fail.

[0] https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_node/tasks/main.yml#L2-L5
Comment 1 Ashley Hardin 2016-02-12 11:40:16 EST
@Eric,
Please review and let me know if this satisfies your request:
https://github.com/openshift/openshift-docs/pull/1582
Thanks!
Comment 2 Eric Jones 2016-02-12 11:56:31 EST
Looks good to me, Ashley. 
Thank you!
Comment 3 openshift-github-bot 2016-02-15 09:48:15 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/b474403ce09ed0452d29de292713062b0a307887
Bug 1298619, Added SELinux guidance for installation

https://github.com/openshift/openshift-docs/commit/1c72ef7bdcab9ec1891d1cc79f3d62d59f1363a9
Merge pull request #1582 from ahardin-rh/se-linux

Bug 1298619, Added SELinux guidance for installation

Note You need to log in before you can comment on or make changes to this bug.